V0 - Update definitions
PUT
/
organizations
/
{internalId}
/
customfields
/
V0 - Update definitions
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"container": "RECEIPT_VERIFICATION",
"name": "Dimension 1",
"dataType": "STRING",
"mandatory": false,
"visible": true,
"sortOrder": 21,
"controlType": "TEXT",
"categoryClassType": "",
"categoryId": "",
"listKey": "",
"showSpinner": false,
"setActive": false,
"hidden": false,
"disabled": false,
"presetLastSelection": "",
"customKey": "",
"type": "Custom",
"key": "Custom"
}
]
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/"
payload = [
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"container": "RECEIPT_VERIFICATION",
"name": "Dimension 1",
"dataType": "STRING",
"mandatory": False,
"visible": True,
"sortOrder": 21,
"controlType": "TEXT",
"categoryClassType": "",
"categoryId": "",
"listKey": "",
"showSpinner": False,
"setActive": False,
"hidden": False,
"disabled": False,
"presetLastSelection": "",
"customKey": "",
"type": "Custom",
"key": "Custom"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '4028812f65a9e76f0165a9f24bbc0000',
container: 'RECEIPT_VERIFICATION',
name: 'Dimension 1',
dataType: 'STRING',
mandatory: false,
visible: true,
sortOrder: 21,
controlType: 'TEXT',
categoryClassType: '',
categoryId: '',
listKey: '',
showSpinner: false,
setActive: false,
hidden: false,
disabled: false,
presetLastSelection: '',
customKey: '',
type: 'Custom',
key: 'Custom'
}
])
};
fetch('https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '4028812f65a9e76f0165a9f24bbc0000',
'container' => 'RECEIPT_VERIFICATION',
'name' => 'Dimension 1',
'dataType' => 'STRING',
'mandatory' => false,
'visible' => true,
'sortOrder' => 21,
'controlType' => 'TEXT',
'categoryClassType' => '',
'categoryId' => '',
'listKey' => '',
'showSpinner' => false,
'setActive' => false,
'hidden' => false,
'disabled' => false,
'presetLastSelection' => '',
'customKey' => '',
'type' => 'Custom',
'key' => 'Custom'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/"
payload := strings.NewReader("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"container\": \"RECEIPT_VERIFICATION\",\n \"name\": \"Dimension 1\",\n \"dataType\": \"STRING\",\n \"mandatory\": false,\n \"visible\": true,\n \"sortOrder\": 21,\n \"controlType\": \"TEXT\",\n \"categoryClassType\": \"\",\n \"categoryId\": \"\",\n \"listKey\": \"\",\n \"showSpinner\": false,\n \"setActive\": false,\n \"hidden\": false,\n \"disabled\": false,\n \"presetLastSelection\": \"\",\n \"customKey\": \"\",\n \"type\": \"Custom\",\n \"key\": \"Custom\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"container\": \"RECEIPT_VERIFICATION\",\n \"name\": \"Dimension 1\",\n \"dataType\": \"STRING\",\n \"mandatory\": false,\n \"visible\": true,\n \"sortOrder\": 21,\n \"controlType\": \"TEXT\",\n \"categoryClassType\": \"\",\n \"categoryId\": \"\",\n \"listKey\": \"\",\n \"showSpinner\": false,\n \"setActive\": false,\n \"hidden\": false,\n \"disabled\": false,\n \"presetLastSelection\": \"\",\n \"customKey\": \"\",\n \"type\": \"Custom\",\n \"key\": \"Custom\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"container\": \"RECEIPT_VERIFICATION\",\n \"name\": \"Dimension 1\",\n \"dataType\": \"STRING\",\n \"mandatory\": false,\n \"visible\": true,\n \"sortOrder\": 21,\n \"controlType\": \"TEXT\",\n \"categoryClassType\": \"\",\n \"categoryId\": \"\",\n \"listKey\": \"\",\n \"showSpinner\": false,\n \"setActive\": false,\n \"hidden\": false,\n \"disabled\": false,\n \"presetLastSelection\": \"\",\n \"customKey\": \"\",\n \"type\": \"Custom\",\n \"key\": \"Custom\"\n }\n]"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The internal id of the organization
Body
application/json
Example:
"4028812f65a9e76f0165a9f24bbc0000"
Example:
"RECEIPT_VERIFICATION"
Example:
"Dimension 1"
Example:
"STRING"
Example:
false
Example:
true
Example:
21
Example:
"TEXT"
Example:
""
Example:
""
Example:
""
Example:
false
Example:
false
Example:
false
Example:
false
Example:
""
Example:
""
Example:
"Custom"
Example:
"Custom"
Response
200
Last modified on August 31, 2026
⌘I
V0 - Update definitions
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"container": "RECEIPT_VERIFICATION",
"name": "Dimension 1",
"dataType": "STRING",
"mandatory": false,
"visible": true,
"sortOrder": 21,
"controlType": "TEXT",
"categoryClassType": "",
"categoryId": "",
"listKey": "",
"showSpinner": false,
"setActive": false,
"hidden": false,
"disabled": false,
"presetLastSelection": "",
"customKey": "",
"type": "Custom",
"key": "Custom"
}
]
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/"
payload = [
{
"id": "4028812f65a9e76f0165a9f24bbc0000",
"container": "RECEIPT_VERIFICATION",
"name": "Dimension 1",
"dataType": "STRING",
"mandatory": False,
"visible": True,
"sortOrder": 21,
"controlType": "TEXT",
"categoryClassType": "",
"categoryId": "",
"listKey": "",
"showSpinner": False,
"setActive": False,
"hidden": False,
"disabled": False,
"presetLastSelection": "",
"customKey": "",
"type": "Custom",
"key": "Custom"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '4028812f65a9e76f0165a9f24bbc0000',
container: 'RECEIPT_VERIFICATION',
name: 'Dimension 1',
dataType: 'STRING',
mandatory: false,
visible: true,
sortOrder: 21,
controlType: 'TEXT',
categoryClassType: '',
categoryId: '',
listKey: '',
showSpinner: false,
setActive: false,
hidden: false,
disabled: false,
presetLastSelection: '',
customKey: '',
type: 'Custom',
key: 'Custom'
}
])
};
fetch('https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '4028812f65a9e76f0165a9f24bbc0000',
'container' => 'RECEIPT_VERIFICATION',
'name' => 'Dimension 1',
'dataType' => 'STRING',
'mandatory' => false,
'visible' => true,
'sortOrder' => 21,
'controlType' => 'TEXT',
'categoryClassType' => '',
'categoryId' => '',
'listKey' => '',
'showSpinner' => false,
'setActive' => false,
'hidden' => false,
'disabled' => false,
'presetLastSelection' => '',
'customKey' => '',
'type' => 'Custom',
'key' => 'Custom'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/"
payload := strings.NewReader("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"container\": \"RECEIPT_VERIFICATION\",\n \"name\": \"Dimension 1\",\n \"dataType\": \"STRING\",\n \"mandatory\": false,\n \"visible\": true,\n \"sortOrder\": 21,\n \"controlType\": \"TEXT\",\n \"categoryClassType\": \"\",\n \"categoryId\": \"\",\n \"listKey\": \"\",\n \"showSpinner\": false,\n \"setActive\": false,\n \"hidden\": false,\n \"disabled\": false,\n \"presetLastSelection\": \"\",\n \"customKey\": \"\",\n \"type\": \"Custom\",\n \"key\": \"Custom\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"container\": \"RECEIPT_VERIFICATION\",\n \"name\": \"Dimension 1\",\n \"dataType\": \"STRING\",\n \"mandatory\": false,\n \"visible\": true,\n \"sortOrder\": 21,\n \"controlType\": \"TEXT\",\n \"categoryClassType\": \"\",\n \"categoryId\": \"\",\n \"listKey\": \"\",\n \"showSpinner\": false,\n \"setActive\": false,\n \"hidden\": false,\n \"disabled\": false,\n \"presetLastSelection\": \"\",\n \"customKey\": \"\",\n \"type\": \"Custom\",\n \"key\": \"Custom\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/{internalId}/customfields/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"4028812f65a9e76f0165a9f24bbc0000\",\n \"container\": \"RECEIPT_VERIFICATION\",\n \"name\": \"Dimension 1\",\n \"dataType\": \"STRING\",\n \"mandatory\": false,\n \"visible\": true,\n \"sortOrder\": 21,\n \"controlType\": \"TEXT\",\n \"categoryClassType\": \"\",\n \"categoryId\": \"\",\n \"listKey\": \"\",\n \"showSpinner\": false,\n \"setActive\": false,\n \"hidden\": false,\n \"disabled\": false,\n \"presetLastSelection\": \"\",\n \"customKey\": \"\",\n \"type\": \"Custom\",\n \"key\": \"Custom\"\n }\n]"
response = http.request(request)
puts response.read_body
